Page MenuHomePhabricator

Facilitate Volunteer NDA application process for potential Tool Labs standards committee appointees
Closed, ResolvedPublic

Description

The Tool Labs standards committee initial policies state:

Have signed the Wikimedia Foundation's Volunteer NDA before being appointed

NDA protection is required for the Tool Labs standards committee members because in the course of their duties they may have access to unpublished and/or unlicensed source code as well as log files and credentials associated with tools and bots that they did not author.

@bd808 will act as the WMF employee sponsor for those approved nominees who have not yet signed the Trusted Volunteer Access & Confidentiality Agreement. @chasemp will act as the required WMF manager in the approval process.

Following a period of public nomination the Cloud-Services and Community-Tech-Tool-Labs teams met to review the candidates and select the initial committee membership. The following nominees have been approved by to join the committee:

UserNDA taskStatus
@eranrozT154688{{done}}
@HarejT154910{{done}}
@HujiT154642{{done}}
@LadsgroupT134651{{done}}
@Matanyapre-L2 process{{done}}
@QuiddityT154628{{done}}
@zhuyifei1999T154641{{done}}

They have all been notified on their Wikitech talk pages and asked to start the NDA process if they have not already signed.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedmmodell
Resolvedmmodell
Resolvedbd808
Resolved dpatrick
Resolvedbd808
Resolvedmmodell
Resolvedjcrespo
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedbd808
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper

Event Timeline

bd808 created this task.Jan 4 2017, 10:40 PM
Restricted Application added projects: Cloud-Services, User-bd808. · View Herald TranscriptJan 4 2017, 10:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
chasemp updated the task description. (Show Details)Jan 4 2017, 10:55 PM
chasemp added a subscriber: chasemp.
bd808 updated the task description. (Show Details)Jan 4 2017, 11:34 PM
bd808 added subscribers: Huji, Harej, eranroz and 4 others.

I already signed the volunteer NDA T134651: NDA for Amir Sarabadani. Is there anything else I need to do?

bd808 added a comment.Jan 5 2017, 5:45 PM

I already signed the volunteer NDA T134651: NDA for Amir Sarabadani. Is there anything else I need to do?

Nope! Sit back, relax and wait for the rest of the group to catch up with you. :)

scfc moved this task from Triage to In Progress on the Toolforge board.Jan 5 2017, 9:23 PM
bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.Jan 7 2017, 12:16 AM
bd808 moved this task from Backlog to Doing on the Community-Tech-Tool-Labs board.Jan 8 2017, 1:27 AM
bd808 updated the task description. (Show Details)Jan 8 2017, 1:39 AM
bd808 updated the task description. (Show Details)Jan 9 2017, 6:06 PM
bd808 updated the task description. (Show Details)Jan 17 2017, 2:39 AM
bd808 updated the task description. (Show Details)Jan 17 2017, 4:03 PM
bd808 closed this task as Resolved.Jan 19 2017, 6:02 PM
bd808 updated the task description. (Show Details)